Skip to main content
POST
/
webhooks
/
vult
/
cashin
Vult cash-in webhook
curl --request POST \
  --url https://olive-gateway-a6ba.onrender.com/api/v1/webhooks/vult/cashin \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Webhook-Signature: <x-webhook-signature>' \
  --data '
{
  "amount": 123,
  "card_serial": "<string>"
}
'
{
  "message": "<string>",
  "new_balance": 123,
  "success": true,
  "transaction_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-Signature
string
required

HMAC-SHA256 signature of request body

Body

application/json

Cash-in details

amount
integer
required
card_serial
string
required
phone_number
string

Response

Cash-in successful

message
string
new_balance
integer
success
boolean
transaction_id
string